package com.sqx.modules.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.artificer.entity.Certification;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestAttribute;

public interface UserCertificationService {
    Result insert(Long userId, String name, String idNumber, String front, String back,Integer classify,String phone,String address,Integer sex,String infantImg,String infantImgs,String birthdate,String ordersNo);

    Result isInsert(Long userId);

    Result queryCertification(Long page, Long limit, String status, String name,Integer classify);

    Result queryUserCertification(IPage iPage, String name,String phone);

    Result auditorUserCertification(Long status, Long id, String remek);

    Result queryInsert(Long userId,Integer classify);

    Result exitMoney(Long userId);

}
